package com.djhk.common.api.factory;


import com.djhk.common.api.RemoteFileService;
import com.djhk.common.api.domain.vo.FileVo;
import com.djhk.common.core.domain.R;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

/**
 * 文件服务降级处理
 *
 * @author myk
 */
@Component
public class RemoteFileFallbackFactory implements RemoteFileService
{

    @Override
    public R<FileVo> upload(MultipartFile file) {
        return null;
    }

    @Override
    public R<FileVo> file(MultipartFile file, String uavNum, String bucketName) {
        return null;
    }

    @Override
    public R<FileVo> fileV1(MultipartFile file, String objectPrefix, String bucketName, String bizType) {
        return null;
    }

    @Override
    public R<FileVo> download(String fileName, String bucketName, String fileId) {
        return null;
    }

    @Override
    public R<String> getPreviewFile(String bucketName, Integer expires, String objectName) {
        return null;
    }

    @Override
    public R deleteFile(String bucketName, String objectName) {
        return null;
    }

    @Override
    public R<FileVo> fileV2(MultipartFile file, String objectPrefix, String bucketName, String bizType, String relateId) {
        return null;
    }
}
